package com.bonus.canteen.core.marketing.v2.rule.price.handler.reductiontotal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.math.RoundingMode;

@ApiModel("计价规则详情-累计减免")
public class PriceReductionTotalDTO {
   @ApiModelProperty("累计减免金额(分)")
   private BigDecimal reduceAmount;

   public String toString() {
      BigDecimal var10000 = this.getReduceAmount();
      BigDecimal var10001 = new BigDecimal(100);
      return "当餐累计减免金额(元)：" + String.valueOf(var10000.divide(var10001, 2, RoundingMode.HALF_UP)) + "<br/>";
   }

   public BigDecimal getReduceAmount() {
      return this.reduceAmount;
   }

   public void setReduceAmount(final BigDecimal reduceAmount) {
      this.reduceAmount = reduceAmount;
   }

}
